Bug 506832 - vtk-qt depends on qt3, and refers to qt3 components that are not required
vtk-qt depends on qt3, and refers to qt3 components that are not required
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vtk (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 15:57 EDT by Per Inge Mathisen
Modified: 2009-08-10 17:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.4.2-33.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 17:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Inge Mathisen 2009-06-18 15:57:12 EDT
Description of problem:
The vtk-qt patckage adds support for the old Qt3 library, which is no longer installed by most default setups on Fedora. It should link up against Qt4 instead. Also, its installed configuration files refer to Qt3 components that the package does not require, leading to broken compile builds. It should at the very least be renamed to vtk-qt3 and require qt3-devel to avoid confusion.

Version-Release number of selected component (if applicable):
vtk-qt-5.2.1-1.fc11.x86_64.rpm

How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
make[2]: *** No rule to make target `/usr/lib64/qt-3.3/lib/libqt-mt.so', needed by ...

Expected results:
A neat successful build with modern Qt4.

Additional info:
Comment 1 Fedora Update System 2009-07-23 06:24:28 EDT
vtk-5.4.2-33.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vtk-5.4.2-33.fc11
Comment 2 Fedora Update System 2009-07-23 06:24:51 EDT
vtk-5.4.2-33.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vtk-5.4.2-33.fc10
Comment 3 Fedora Update System 2009-07-23 15:03:19 EDT
vtk-5.4.2-33.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7940
Comment 4 Fedora Update System 2009-07-23 15:09:51 EDT
vtk-5.4.2-33.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7958
Comment 5 Fedora Update System 2009-08-01 19:52:52 EDT
vtk-5.4.2-33.fc10, vtkdata-5.4.2-13.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk vtkdata'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7940
Comment 6 Fedora Update System 2009-08-01 20:02:40 EDT
vtk-5.4.2-33.fc11, vtkdata-5.4.2-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk vtkdata'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7958
Comment 7 Fedora Update System 2009-08-10 17:43:02 EDT
vtk-5.4.2-33.fc10, vtkdata-5.4.2-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-08-10 17:44:04 EDT
vtk-5.4.2-33.fc11, vtkdata-5.4.2-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.